Bug 150233 - RHN-Java: Upgrade to Hibernate 3.0
RHN-Java: Upgrade to Hibernate 3.0
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Bowman
Vlady Zlatkin
Depends On:
  Show dependency treegraph
Reported: 2005-03-03 16:04 EST by Mike McCune
Modified: 2007-04-18 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 16:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-03-03 16:04:09 EST
Hibernate 3.0 has been released so in the near term we want to migrate our
codebase to use the newest version.
Comment 1 Mike McCune 2005-03-03 16:05:19 EST
Email conversation about the topic:

Bret McMillan wrote:

> On Mon, Feb 28, 2005 at 02:22:30PM -0500, Mike McCune wrote:
>> Just a headsup for all of us.  We definitely don't want to switch yet, but
its good to know its there:
>> http://blog.hibernate.org/cgi-bin/blosxom.cgi/2005/02/28#3announce
> 1.  Who are the 2 people i can jot down as our Hibernate experts for
>     subject-matter-experts.txt?

I'd be happy to put myself in there.

> 2.  What are the compelling points?  Multiple table objects is the one
>     I know about... things that catch the stupid suit's eye:
>     o  filters
>     o  xml replication

o Much more flexible O/R mapping: support for exotic association and inheritance
mappings, and greater flexibility when working with legacy data.

Sounds warm and fuzzy, but some of the work we did for the Action tables would
have been easier in Hibernate 3.

o Unprecendented flexibility for mixing handwritten and generated SQL within a
single application or even a single entity: full support for "derived" entities
and attributes defined in the mapping document, full support for overriding any
generated SQL statement with handwritten SQL, support for *stored procedures*.

The main thing here is that we can specify a storedproc for inserts. Right now
we have to hand-code different cases for inserts vs updates for our objects that
rely on a SP to create them (orgs and users).

o Hibernate Tools preview: a full suite of Eclipse plugins for working with
Hibernate 3.0, including mapping editor, interactive query prototyping, schema
reverse engineering tool.

Mmmm, goodness.

Comment 2 Mike McCune 2005-04-08 14:56:40 EDT
Adding for consideration for 410.
Comment 3 Max Spevack 2005-08-29 14:53:03 EDT
mass assign rhn410 QA contact
Comment 4 Jesus M. Rodriguez 2005-09-16 13:52:55 EDT
Currently, creating the RPM for hibernate remains.  After that is done, we can
close this bug.  This bug is strictly a developer task, no QA is required for it.
Comment 5 Jesus M. Rodriguez 2005-09-16 13:53:50 EDT
Assigning to mbowman.
Comment 6 Jesus M. Rodriguez 2005-09-30 16:31:02 EDT
Closing this bug.  No reason to track whether the RPM is created since it can't
ship without it anyway.
Comment 7 Mike McCune 2005-10-21 18:45:28 EDT
moving off 410 since its an open release, no sense cluttering up the tracking bug.

Note You need to log in before you can comment on or make changes to this bug.